The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Import GTI Configuration

Prev Next

This URL updates the severity for GTI.

Resource URL

PUT /domain/<domain_id>/filereputation/gti

Request Parameters

URL Parameters:

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Number

Yes

Payload Request Parameters:

Field Name

Description

Data Type

Mandatory

Sensitivity

Sensitivity type can be "VERY_LOW"/"LOW"/"MEDIUM'" /"HIGH"/"VERY_HIGH"

String

Yes

inheritSettings

Inherit settings from parent domain. Default is true

Boolean

No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

Status

Status returned by updation

Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/filereputation/gti

Payload:

{
"Sensitivity":"LOW"
"inheritSettings":false
}

Response

{
"status":1
}

Error Information

Following error codes are returned by this URL:

S.No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

404

3101

Cannot inherit setting for root domain